<?xml version="1.0"?>
<soofea xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:noNamespaceSchemaLocation="../soofea.xsd" version="0.2">
  <global id="mortar_patch_simple" 
	  dim="2" 
	  coord_sys_type="cartesian" 
	  analysis_type="mortar.fixed_point"
	  convergence_criteria="1.0e-14"
	  sle_solution_method="lu"/>
  <contact non_mortar="3" 
	   mortar="5"
	   penalty="1.e5"
	   friction="true"
	   mu="1e5"/>
  <node>
    <n N="1" x="0.000" y="0.000"/>
    <n N="2" x="2.000" y="0.000"/>
    <n N="3" x="2.000" y="2.000"/>
    <n N="4" x="0.000" y="2.000"/>
    <!-- second mesh -->
    <n N="5" x="0.000" y="2.000"/>
    <n N="6" x="2.000" y="2.000"/>
    <n N="7" x="2.000" y="4.000"/>
    <n N="8" x="0.000" y="4.000"/>
  </node>
  <boundary>
    <b N="1" id="line" gnn="1 2"/>
    <b N="2" id="line" gnn="2 3"/>
    <b N="3" id="line" gnn="3 4"/>
    <b N="4" id="line" gnn="4 1"/>
    <!-- second mesh -->
    <b N="5" id="line" gnn="5 6"/>
    <b N="6" id="line" gnn="6 7"/>
    <b N="7" id="line" gnn="7 8"/>
    <b N="8" id="line" gnn="8 5"/>
  </boundary>
  <element>
    <e N="1" gnn="1 2 3 4" m="1" et="1"/>
    <e N="2" gnn="5 6 7 8" m="2" et="1"/>
  </element>
  <element_type>
    <et N="1" id="quad" flavour="mortar.FLGA" ds="3" int_points="2 2" edge_int_points="2"/>
  </element_type>
  <prescribed_dof>
    <p N="1" b="1" x="0.0" y="0.0"/>
    <p N="2" b="7" x="0.0" y="0.0"/>
    <p N="3" b="7" x="0.0" y="-0.4"/>
    <p N="4" b="7" x="0.6" y="-0.4"/>
  </prescribed_dof>
  <dof_case>
    <dc N="1" id="const" dof="1" te="1"/>
    <dc N="2" id="ramp" dof="2 3" te="1"/>
    <dc N="3" id="const" dof="1" te="2"/>
    <dc N="4" id="ramp" dof="3 4" te="2"/>
  </dof_case>
  <material>
    <m N="1" id="hyper_elastic" ds="2"/>
    <m N="2" id="hyper_elastic" ds="1"/>
  </material>
  <time_bar>
    <te N="1" end_time="1" step_amount="2"/>
    <te N="2" end_time="2" step_amount="5"/>
  </time_bar>
  <data_set>
    <ds N="1">
      <data name="youngs_modulus" value="1.e3" type="double" />
      <data name="poisson_ratio"  value="0.3" type="double" />
    </ds>
    <ds N="2">
      <data name="youngs_modulus" value="1.e4" type="double" />
      <data name="poisson_ratio"  value="0.3" type="double" />
    </ds>
    <ds N="3">
      <data name="shape_order" value="1" type="int" />
      <data name="material_type" value="1" type="int" />
      <data name="height" value="1." type="double" />
    </ds>
  </data_set>
</soofea>
